<?xml version="1.0" encoding="iso-8859-1"?>
<!--
	Update style sheet used by the Update servlet.
	alexis.grandemange@pagebox.net
	Copyright (c) 2002 Alexis Grandemange
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public License
	as published by the Free Software Foundation; version 2.1 of the
	License.
	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU Lesser General Public License for more details.
	A copy of the GNU Lesser General Public License lesser.txt should be
	included in the distribution.
 -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:param name="subscription_url" select="'notset/jaxrpc/DeployIF'" />
<xsl:param name="user" select="'unknown'" />
<xsl:template match="PbArchs">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta content="Audit display of Pagebox for Java" name="Description" />
<meta content="java, Pagebox" name="keywords" />
<link href="pagebox.css" type="text/css" rel="stylesheet" />
</head>
<body>
<table width="100%">
<tr>
<td align="left" width="50px">
<a href="http://pagebox.net/java/java-index.html" title="Update display of Pagebox for Java">
<img src="logo.gif" alt="Update display of Pagebox for Java" /></a></td>
<td align="left" class="title">Update</td>
<td align="right"><table><tr><td><a name="top" class="timestamp">User: <xsl:value-of select="$user" /></a></td>
<td><a href="#bottom" title="Bottom of the page">Bottom</a></td>
<td><a href="audit" title="PageBox Audit">Audit</a></td>
<td><a href="mailto:support@pagebox.net" title="support@pagebox.net">Support</a></td></tr></table></td>
</tr>
</table>
<form method="post">
<table>
<tr>
<td><input type="submit" name="retry" value="Retry" /></td>
<td><input type="submit" name="refresh" value="Refresh" /></td>
<td>Subscription URL:</td>
<td><xsl:value-of select="$subscription_url" /></td>
</tr>
</table>
<table width="100%">
<tr>
<th width="8%">Archive</th><th width="8%">State</th><th width="25%">Download location</th>
<th width="7%">Owner</th><th width="15%">Date</th><th width="7%">Size</th><th width="30%">Documentation</th>
</tr>
<xsl:apply-templates select="Archive"/>
</table>
<table width="100%">
<tr>
<td><table><tr>
<td><input type="submit" name="retry" value="Retry" /></td>
<td><input type="submit" name="refresh" value="Refresh" /></td></tr></table></td><td> </td>
<td align="right"><table><tr><td><a name="bottom" class="timestamp">User: <xsl:value-of select="$user" /></a></td>
<td><a href="#top" title="Top of the page">Top</a></td>
<td><a href="audit" title="PageBox Audit">Audit</a></td>
<td><a href="mailto:support@pagebox.net" title="support@pagebox.net">Support</a></td></tr></table></td>
</tr>
</table>
</form>
<p class="timestamp" align="center">&#169; 2002-2004 Alexis Grandemange</p>
</body>
</html>
</xsl:template>
<xsl:template match="Archive">
	<tr>
	<xsl:apply-templates select="name"/>
	<xsl:apply-templates select="status"/>
	<xsl:apply-templates select="downloadURL"/>
	<xsl:apply-templates select="owner"/>
	<xsl:apply-templates select="date"/>
	<xsl:apply-templates select="size"/>
	<xsl:apply-templates select="docURL"/>
	</tr>
</xsl:template>
<xsl:template match="name">
	<td valign="top">
	<xsl:copy-of select="node()"/>
	</td>
</xsl:template>
<xsl:template match="status">
	<td valign="top">
	<xsl:copy-of select="node()"/>
	</td>
</xsl:template>
<xsl:template match="downloadURL">
	<td valign="top">
	<xsl:element name="a">
		<xsl:attribute name="href">
			<xsl:copy-of select="node()"/>
		</xsl:attribute>
		<xsl:copy-of select="node()"/>
	</xsl:element>
	</td>
</xsl:template>
<xsl:template match="owner">
	<td valign="top">
	<xsl:copy-of select="node()"/>
	</td>
</xsl:template>
<xsl:template match="date">
	<td valign="top">
	<xsl:copy-of select="node()"/>
	</td>
</xsl:template>
<xsl:template match="size">
	<td valign="top">
	<xsl:copy-of select="node()"/>
	</td>
</xsl:template>
<xsl:template match="docURL">
	<td valign="top">
	<xsl:element name="a">
		<xsl:attribute name="href">
			<xsl:copy-of select="node()"/>
		</xsl:attribute>
		<xsl:copy-of select="node()"/>
	</xsl:element>
	</td>
</xsl:template>
</xsl:stylesheet>
